package TX_OtherClass;

public final class LoginToken extends JceStruct {
    public boolean IsMainLogin;
    public String TokenAppID;
    public byte TokenKeyType;
    public String TokenUin;
    public byte[] TokenValue;
    static byte[] cache_TokenValue;

    static {
        byte[] v0 = new byte[1];
        LoginToken.cache_TokenValue = v0;
        v0[0] = 0;
    }

    public LoginToken() {
        super();
        this.TokenAppID = "";
        this.TokenKeyType = 0;
        this.TokenValue = null;
        this.TokenUin = "";
        this.IsMainLogin = true;
    }

    public LoginToken(String arg2, byte arg3, byte[] arg4, String arg5, boolean arg6) {
        super();
        this.TokenAppID = "";
        this.TokenKeyType = 0;
        this.TokenValue = null;
        this.TokenUin = "";
        this.IsMainLogin = true;
        this.TokenAppID = arg2;
        this.TokenKeyType = arg3;
        this.TokenValue = arg4;
        this.TokenUin = arg5;
        this.IsMainLogin = arg6;
    }

    public final void readFrom(c arg4) {
        this.TokenAppID = arg4.b(0, true);
        this.TokenKeyType = arg4.a(this.TokenKeyType, 1, true);
        this.TokenValue = arg4.c(2, true);
        this.TokenUin = arg4.b(3, false);
        this.IsMainLogin = arg4.a(4, false);
    }

    public final void writeTo(d arg3) {
        arg3.a(this.TokenAppID, 0);
        arg3.a(this.TokenKeyType, 1);
        arg3.a(this.TokenValue, 2);
        if(this.TokenUin != null) {
            arg3.a(this.TokenUin, 3);
        }

        arg3.a(this.IsMainLogin, 4);
    }
}
